@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
recursive_mutex_t Struct Reference
pico_sync » mutex

recursive mutex instance More...

`#include <mutex.h>`

Collaboration diagram for recursive_mutex_t:
[legend]

## Data Fields

lock_core_t | core
lock_owner_id_t | owner
uint8_t | enter_count
| owner id LOCK_INVALID_OWNER_ID for unowned

## Detailed Description

recursive mutex instance

The documentation for this struct was generated from the following file:

- include/pico/mutex.h